
Name:           gsa-desktop
Version:        0.3.0
Release:        1%{?dist}.art
License:        GNU GPL v2 or later
Group:          Productivity/Networking/Security
Url:            http://www.openvas.org
Source:         %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	qt-devel, qt
BuildRequires:  cmake
BuildRequires:  doxygen

BuildRequires: pango-devel gtk+-devel zlib-devel atk-devel
BuildRequires: openssl-devel gtk2-devel gettext-devel gcc-c++
BuildRequires: openvas-libraries-devel
BuildRequires: graphviz

%if 0%{?fc12}0%{?fc13}0%{?fc14}
BuildRequires: libuuid libuuid-devel
%else
BuildRequires: e2fsprogs e2fsprogs-devel
%endif



%if 0%{?el4}%{?el5}
BuildRequires: compat-gnutls2-devel, compat-gnutls2, gnutls, gnutls-devel
BuildRequires: qt4-devel, qt4, qt, qt-devel
Requires: compat-gnutls2
%else
BuildRequires: gnutls, gnutls-devel
BuildRequires: cairo-devel atk-devel
%endif

%if 0%{?el4}
BuildRequires:  evolution28-glib2-devel evolution28-glib2
Requires: evolution28-glib2
BuildRequires: evolution28-gtk2-devel evolution28-gtk2
Requires: evolution28-gtk2
%else
BuildRequires: glib2 >= 2.6.0, glib2-devel >= 2.6.0
BuildRequires: libpcap-devel gpgme-devel
%endif

%if 0%{?fc10}
BuildRequires: pixman-devel libXrender-devel libpcap-devel gpgme-devel
%endif



Summary:        A Desktop Client that connects to the OpenVAS Manager

%description
The GSA Desktop is a desktop client that connects to the OpenVAS Manager using
the OMP protocol.


%prep
%setup -q

%build
%if 0%{?el4}
  export LDFLAGS="-L/usr/gnutls2/lib -L/lib -L/usr/evolution28/lib/ -L/usr/evolution28/lib64/"
  export CFLAGS="-I/usr/gnutls2/include -L/usr/gnutls2/lib"
  export GNUTLS_LIBS=/usr/gnutls2/lib
  export PKG_CONFIG_PATH=/usr/gnutls2/lib/pkgconfig/:/usr/evolution28/lib/pkgconfig:/usr/lib/pkgconfig/
  %ifarch x86_64
    export GLIB_LIBS=/usr/evolution28/lib64/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/evolution28/lib64/pkgconfig:/usr/lib64/pkgconfig/:/usr/gnutls2/lib/pkgconfig/
  %else
    export GLIB_LIBS=/usr/evolution28/lib/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/evolution28/lib/pkgconfig:/usr/lib/pkgconfig/
  %endif
%endif

%if 0%{?el5}
  export LDFLAGS="-L/usr/gnutls2/lib -L/lib -L/usr/evolution28/lib/ -L/usr/evolution28/lib64/"
  export CFLAGS="-I/usr/gnutls2/include -L/usr/gnutls2/lib"
  export GNUTLS_LIBS=/usr/gnutls2/lib
  export PKG_CONFIG_PATH=/usr/gnutls2/lib/pkgconfig/
%endif



cmake . -DCMAKE_VERBOSE_MAKEFILE=ON \
        -DCMAKE_INSTALL_PREFIX=%{_prefix} \
        -DSYSCONFDIR=%{_sysconfdir} \
        -DLOCALSTATEDIR=%{_localstatedir}

%{__make}  %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}


%{__mkdir_p} %{buildroot}%{_localstatedir}/log/openvas
touch %{buildroot}%{_localstatedir}/log/openvas/gsa-desktop.log

%clean
test "%{buildroot}" != "/" && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES README
%dir %{_sysconfdir}/openvas
%config(noreplace) %{_sysconfdir}/openvas/gsa-desktop_log.conf
%{_bindir}/gsa-desktop
%dir %{_datadir}/openvas/translations
%{_datadir}/openvas/translations/gsa_desktop_de.qm
%dir %{_localstatedir}/log/openvas
%ghost %{_localstatedir}/log/openvas/gsa-desktop.log


%changelog
* Fri Sep 10 2010 Scott R. Shinn <scott@atomicorp.com> - 0.3.0
- Update to 0.3.0

* Tue Aug 31 2010 Scott R. Shinn <scott@atomicorp.com> - 0.2.0
- Merge into atomic
- Added conditional logic for el4 & el5


* Thu Aug 12 2010 bitshuffler@opensuse.org
- Update to 0.2.0
  * Missing details dialogs for omp resources have been added.
  * Support for notes and overrides has been added.
  * German translation has been improved and completed.
  * Cross compile support for mingw32 has been added.
* Thu Jul 29 2010 bitshuffler@opensuse.org
- Initial package.
